Subject: Re: [PATCH 0/9] commit-graph: remove reliance on global state

From: Derrick Stolee <[email-masked]>
Date: Mon, 4 Aug 2025 21:27:42 -0700

On 8/4/25 1:17 AM, Patrick Steinhardt wrote:
> Hi,
> 
> this patch series is another step on our long road towards not having
> global state. In addition to that, as commit-graphs are part of the
> object database layer, this is also another step towards pluggable
> object databases.

Thanks for carefully working through this code full of bad patterns
and fixing not just the bare minimum to get it working. Each change
was sufficiently motivated and carefully done. LGTM.

Thanks,
-Stolee